package com.mortals.xhx.module.care.service.impl;
import com.mortals.framework.common.Rest;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.care.dao.CareRecordsDao;
import com.mortals.xhx.module.care.model.CareRecordsEntity;
import com.mortals.xhx.module.care.service.CareRecordsService;
/**
* CareRecordsService
* 预约关怀记录 service实现
*
* @author zxfei
* @date 2023-04-09
*/
@Service("careRecordsService")
public class CareRecordsServiceImpl extends AbstractCRUDServiceImpl<CareRecordsDao, CareRecordsEntity, Long> implements CareRecordsService {

    @Override
    public Rest<String> notice(CareRecordsEntity careRecordsEntity, Context context) {
       //todo 通知负责人
        return Rest.ok("通知负责人成功");
    }

    @Override
    public Rest<String> toCare(CareRecordsEntity careRecordsEntity, Context context) {
        //todo 短信通知群众
        return Rest.ok("通知群众成功");
    }
}