package com.mortals.xhx.module.appointment.service.impl;
import com.mortals.framework.common.Rest;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.appointment.dao.AppointmentRecordsDao;
import com.mortals.xhx.module.appointment.model.AppointmentRecordsEntity;
import com.mortals.xhx.module.appointment.service.AppointmentRecordsService;
/**
* AppointmentRecordsService
* 预约签到记录 service实现
*
* @author zxfei
* @date 2023-04-09
*/
@Service("appointmentRecordsService")
public class AppointmentRecordsServiceImpl extends AbstractCRUDServiceImpl<AppointmentRecordsDao, AppointmentRecordsEntity, Long> implements AppointmentRecordsService {

    @Override
    public Rest<String> stopService(AppointmentRecordsEntity appointmentRecordsEntity, Context context) {
       //todo 停止群众推送服务
        return Rest.ok("服务停止成功");
    }
}